# Get bidder

Get bidder by public key

```
GET /bidders/{public_key}?era_id={era_id}
```

## Query params

| Query param | Description                                                                                                                                         |
| ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------- |
| `era_id`    | Active auction era identifier. Data for older eras aren't persistent for long, and will eventually become unavailable. This is a required parameter |

## Sorting

None

## Optional properties

| Property                   | Type                                                                                  | Description                                                                                                            |
| -------------------------- | ------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------- |
| `account_info`             | [`AccountInfo`](https://docs.cspr.cloud/rest-api/account-info)                        | [Account info](https://github.com/make-software/casper-account-info-contract) provided by the bidder                   |
| `average_performance`      | [`ValidatorPerformance`](https://docs.cspr.cloud/rest-api/validator-performance)      | Moving average of validator performance based on the received rewards over the past 360 eras (approximately one month) |
| `centralized_account_info` | [`CentralizedAccountInfo`](https://docs.cspr.cloud/rest-api/centralized-account-info) | Account information available for known accounts provided by CSPR.cloud team                                           |
| `cspr_name`                | `string`                                                                              | Primary CSPR.name of the account                                                                                       |

## Response

[`Bidder`](https://docs.cspr.cloud/rest-api/bidder)

## Example

{% hint style="info" %}
Since this API works only with recent eras, you'll need to replace the era ID with the latest one, which you can fetch using the [Get auction metrics API](https://docs.cspr.cloud/rest-api/auction-metrics/get-auction-metrics).
{% endhint %}

```bash
curl -X 'GET' \
  'https://api.testnet.cspr.cloud/bidders/0106ca7c39cd272dbf21a86eeb3b36b7c26e2e9b94af64292419f7862936bca2ca?era_id=18011' \
  -H 'accept: application/json' \
  -H 'authorization: 55f79117-fc4d-4d60-9956-65423f39a06a'
```

```json
{
  "data": {
    "bid_amount": "6899807212331106",
    "delegators_number": 128,
    "delegators_stake": "99739883251183826",
    "era_id": 18011,
    "fee": 10,
    "is_active": true,
    "maximum_delegation_amount": "1000000000000000000",
    "minimum_delegation_amount": "500000000000",
    "network_share": "9.72010436555974",
    "public_key": "0106ca7c39cd272dbf21a86eeb3b36b7c26e2e9b94af64292419f7862936bca2ca",
    "rank": 1,
    "reserved_slots": 0,
    "self_share": "6.47020558887665",
    "self_stake": "6899807212331106",
    "total_stake": "106639690463514932"
  }
}
```
